
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.fancraft.init;

import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.fancraft.FancraftMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class FancraftModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, FancraftMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {

		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(FancraftModBlocks.WEATHERED_COPPER_BRICK.get().asItem());
			tabData.accept(FancraftModBlocks.OXIDIZED_COPPER_BRICK.get().asItem());
			tabData.accept(FancraftModBlocks.EXPOSED_COPPER_BRICK.get().asItem());
			tabData.accept(FancraftModBlocks.COPPER_BRICK.get().asItem());
			tabData.accept(FancraftModBlocks.WET_COPPER_BRICK.get().asItem());
			tabData.accept(FancraftModBlocks.WET_EXPOSED_COPPER_BRICK.get().asItem());
			tabData.accept(FancraftModBlocks.WET_WEATHERED_COPPER_BRICK.get().asItem());
			tabData.accept(FancraftModBlocks.WET_OXIDIZED_COPPER_BRICK.get().asItem());
			tabData.accept(FancraftModBlocks.POLISHED_TUFF.get().asItem());
			tabData.accept(FancraftModBlocks.SHUFFLED_TUFF.get().asItem());
			tabData.accept(FancraftModBlocks.SKINNED_TUFF.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.FUNCTIONAL_BLOCKS) {
			tabData.accept(FancraftModBlocks.KNITTING_TABLE.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.REDSTONE_BLOCKS) {
			tabData.accept(FancraftModBlocks.COPPER_HOLOCAUST.get().asItem());
			tabData.accept(FancraftModBlocks.EXPOSED_COPPER_HOLOCAUST.get().asItem());
			tabData.accept(FancraftModBlocks.WEATHERED_COPPER_HOLOCAUST.get().asItem());
			tabData.accept(FancraftModBlocks.OXIDIZED_COPPER_HOLOCAUST.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(FancraftModItems.STONE_STICK.get());
			tabData.accept(FancraftModItems.POINTY_STICK.get());
			tabData.accept(FancraftModItems.COPPER_POINTY_STICK.get());
			tabData.accept(FancraftModItems.DEEPSLATE_STICK.get());
			tabData.accept(FancraftModItems.DAMAGED_COPPER_POINTY_STICK.get());
			tabData.accept(FancraftModItems.AMETHYST_DAGGER.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(FancraftModItems.SHARPENED_COPPER.get());
			tabData.accept(FancraftModItems.SLIGHTLY_SHARP_STICK.get());
			tabData.accept(FancraftModItems.MINOR_SHARP_STICK.get());
			tabData.accept(FancraftModItems.MINIMUM_SHARP_STICK.get());
			tabData.accept(FancraftModItems.SHARP_STICK.get());
			tabData.accept(FancraftModItems.SMALL_MADE_POINT.get());
			tabData.accept(FancraftModItems.HALF_MADE_POINT.get());
			tabData.accept(FancraftModItems.POINT.get());
			tabData.accept(FancraftModItems.TUFF_SCRAP.get());
			tabData.accept(FancraftModItems.STONE_SHARD.get());
			tabData.accept(FancraftModItems.DEEPSLATE_SHARD.get());
			tabData.accept(FancraftModItems.AMETHYST_GEM.get());
			tabData.accept(FancraftModItems.HAMMERED_AMETHYST.get());
			tabData.accept(FancraftModItems.SMASHED_AMETHYST.get());
			tabData.accept(FancraftModItems.ANCIENT_DEBRIS_NUGGET.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(FancraftModItems.KNITTER.get());
			tabData.accept(FancraftModItems.DIAMOND_BRACELET_CHESTPLATE.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(FancraftModBlocks.SOFT_STONE.get().asItem());
			tabData.accept(FancraftModBlocks.AMETHYIST_ORE.get().asItem());
			tabData.accept(FancraftModBlocks.DEEPSLATE_AMETHYIST_ORE.get().asItem());
			tabData.accept(FancraftModBlocks.DUSTY_STONE.get().asItem());
			tabData.accept(FancraftModBlocks.DUSTY_DEEPSLATE.get().asItem());
			tabData.accept(FancraftModBlocks.WEAKENED_STONE.get().asItem());
			tabData.accept(FancraftModBlocks.NETHER_ANCIENT_DEBRIS_ORE.get().asItem());
		}
	}
}
