
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.fancraft.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.fancraft.entity.DamagedCopperPointyStickEntity;
import net.mcreator.fancraft.entity.CopperPointyStickEntity;
import net.mcreator.fancraft.entity.AmethystDaggerEntity;
import net.mcreator.fancraft.FancraftMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class FancraftModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, FancraftMod.MODID);
	public static final RegistryObject<EntityType<CopperPointyStickEntity>> COPPER_POINTY_STICK = register("projectile_copper_pointy_stick", EntityType.Builder.<CopperPointyStickEntity>of(CopperPointyStickEntity::new, MobCategory.MISC)
			.setCustomClientFactory(CopperPointyStickEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<DamagedCopperPointyStickEntity>> DAMAGED_COPPER_POINTY_STICK = register("projectile_damaged_copper_pointy_stick",
			EntityType.Builder.<DamagedCopperPointyStickEntity>of(DamagedCopperPointyStickEntity::new, MobCategory.MISC).setCustomClientFactory(DamagedCopperPointyStickEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64)
					.setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<AmethystDaggerEntity>> AMETHYST_DAGGER = register("projectile_amethyst_dagger",
			EntityType.Builder.<AmethystDaggerEntity>of(AmethystDaggerEntity::new, MobCategory.MISC).setCustomClientFactory(AmethystDaggerEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}
}
