package net.mcreator.fancraft.procedures;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.eventbus.api.Event;
import net.minecraftforge.event.entity.player.PlayerInteractEvent;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.Entity;
import net.minecraft.server.level.ServerLevel;
import net.minecraft.core.particles.ParticleTypes;
import net.minecraft.core.BlockPos;

import net.mcreator.fancraft.init.FancraftModBlocks;

import javax.annotation.Nullable;

@Mod.EventBusSubscriber
public class CopperbricksCleanProcedure {
	@SubscribeEvent
	public static void onRightClickBlock(PlayerInteractEvent.RightClickBlock event) {
		if (event.getHand() != event.getEntity().getUsedItemHand())
			return;
		execute(event, event.getLevel(), event.getPos().getX(), event.getPos().getY(), event.getPos().getZ(), event.getEntity());
	}

	public static void execute(LevelAccessor world, double x, double y, double z, Entity entity) {
		execute(null, world, x, y, z, entity);
	}

	private static void execute(@Nullable Event event, LevelAccessor world, double x, double y, double z, Entity entity) {
		if (entity == null)
			return;
		if ((entity instanceof LivingEntity _livEnt ? _livEnt.getMainHandItem() : ItemStack.EMPTY).getItem() == Items.HONEYCOMB) {
			if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.OXIDIZED_COPPER_BRICK.get()) {
				world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
				world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.WET_OXIDIZED_COPPER_BRICK.get().defaultBlockState(), 3);
				if (world instanceof ServerLevel _level)
					_level.sendParticles(ParticleTypes.WAX_ON, x, y, z, 10, 3, 3, 3, 3);
			} else {
				if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.WEATHERED_COPPER_BRICK.get()) {
					world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
					world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.WET_WEATHERED_COPPER_BRICK.get().defaultBlockState(), 3);
					if (world instanceof ServerLevel _level)
						_level.sendParticles(ParticleTypes.WAX_ON, x, y, z, 10, 3, 3, 3, 3);
				} else {
					if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.EXPOSED_COPPER_BRICK.get()) {
						world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
						world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.WET_EXPOSED_COPPER_BRICK.get().defaultBlockState(), 3);
						if (world instanceof ServerLevel _level)
							_level.sendParticles(ParticleTypes.WAX_ON, x, y, z, 10, 3, 3, 3, 3);
					} else {
						if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.COPPER_BRICK.get()) {
							world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
							world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.WET_COPPER_BRICK.get().defaultBlockState(), 3);
							if (world instanceof ServerLevel _level)
								_level.sendParticles(ParticleTypes.WAX_ON, x, y, z, 10, 3, 3, 3, 3);
						}
					}
				}
			}
		}
		if ((entity instanceof LivingEntity _livEnt ? _livEnt.getMainHandItem() : ItemStack.EMPTY).getItem() == Items.WOODEN_AXE || (entity instanceof LivingEntity _livEnt ? _livEnt.getMainHandItem() : ItemStack.EMPTY).getItem() == Items.STONE_AXE
				|| (entity instanceof LivingEntity _livEnt ? _livEnt.getMainHandItem() : ItemStack.EMPTY).getItem() == Items.IRON_AXE
				|| (entity instanceof LivingEntity _livEnt ? _livEnt.getMainHandItem() : ItemStack.EMPTY).getItem() == Items.GOLDEN_AXE
				|| (entity instanceof LivingEntity _livEnt ? _livEnt.getMainHandItem() : ItemStack.EMPTY).getItem() == Items.DIAMOND_AXE
				|| (entity instanceof LivingEntity _livEnt ? _livEnt.getMainHandItem() : ItemStack.EMPTY).getItem() == Items.NETHERITE_AXE) {
			if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.OXIDIZED_COPPER_BRICK.get()) {
				world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
				world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.WEATHERED_COPPER_BRICK.get().defaultBlockState(), 3);
				if (world instanceof ServerLevel _level)
					_level.sendParticles(ParticleTypes.SCRAPE, x, y, z, 10, 3, 3, 3, 3);
			} else {
				if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.WEATHERED_COPPER_BRICK.get()) {
					world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
					world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.EXPOSED_COPPER_BRICK.get().defaultBlockState(), 3);
					if (world instanceof ServerLevel _level)
						_level.sendParticles(ParticleTypes.SCRAPE, x, y, z, 10, 3, 3, 3, 3);
				} else {
					if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.EXPOSED_COPPER_BRICK.get()) {
						world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
						world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.COPPER_BRICK.get().defaultBlockState(), 3);
						if (world instanceof ServerLevel _level)
							_level.sendParticles(ParticleTypes.SCRAPE, x, y, z, 10, 3, 3, 3, 3);
					} else {
						if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.WET_OXIDIZED_COPPER_BRICK.get()) {
							world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
							world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.OXIDIZED_COPPER_BRICK.get().defaultBlockState(), 3);
							if (world instanceof ServerLevel _level)
								_level.sendParticles(ParticleTypes.WAX_OFF, x, y, z, 10, 3, 3, 3, 3);
						} else {
							if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.WET_WEATHERED_COPPER_BRICK.get()) {
								world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
								world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.WEATHERED_COPPER_BRICK.get().defaultBlockState(), 3);
								if (world instanceof ServerLevel _level)
									_level.sendParticles(ParticleTypes.WAX_OFF, x, y, z, 10, 3, 3, 3, 3);
							} else {
								if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.WET_EXPOSED_COPPER_BRICK.get()) {
									world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
									world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.EXPOSED_COPPER_BRICK.get().defaultBlockState(), 3);
									if (world instanceof ServerLevel _level)
										_level.sendParticles(ParticleTypes.WAX_OFF, x, y, z, 10, 3, 3, 3, 3);
								} else {
									if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.WET_COPPER_BRICK.get()) {
										world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
										world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.COPPER_BRICK.get().defaultBlockState(), 3);
										if (world instanceof ServerLevel _level)
											_level.sendParticles(ParticleTypes.WAX_OFF, x, y, z, 10, 3, 3, 3, 3);
									} else {
										if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.OXIDIZED_COPPER_HOLOCAUST.get()) {
											world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
											world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.WEATHERED_COPPER_HOLOCAUST.get().defaultBlockState(), 3);
											if (world instanceof ServerLevel _level)
												_level.sendParticles(ParticleTypes.SCRAPE, x, y, z, 10, 3, 3, 3, 3);
										} else {
											if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.WEATHERED_COPPER_HOLOCAUST.get()) {
												world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
												world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.EXPOSED_COPPER_HOLOCAUST.get().defaultBlockState(), 3);
												if (world instanceof ServerLevel _level)
													_level.sendParticles(ParticleTypes.SCRAPE, x, y, z, 10, 3, 3, 3, 3);
											} else {
												if ((world.getBlockState(BlockPos.containing(x, y, z))).getBlock() == FancraftModBlocks.EXPOSED_COPPER_HOLOCAUST.get()) {
													world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
													world.setBlock(BlockPos.containing(x, y, z), FancraftModBlocks.COPPER_HOLOCAUST.get().defaultBlockState(), 3);
													if (world instanceof ServerLevel _level)
														_level.sendParticles(ParticleTypes.SCRAPE, x, y, z, 10, 3, 3, 3, 3);
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
}
